Subject: bug#43735: 28.0.50; eshell: No such directory found via CDPATH environment variable

From: Jean Louis <[email-masked]>
Date: Thu, 1 Oct 2020 22:19:14 +0300

* Eli Zaretskii <[email-masked]> [2020-10-01 20:31]:
> > From: Lars Ingebrigtsen <[email-masked]>
> > Date: Thu, 01 Oct 2020 18:56:53 +0200
> > Cc: [email-masked]
> > 
> > Jean Louis <[email-masked]> writes:
> > 
> > > Following is invoked as emacs -Q:
> > >
> > > M-x eshell
> > >
> > > $ cd tmp 
> > >
> > > ~/tmp $ cd zim-admin
> > > No such directory found via CDPATH environment variable
> > >
> > > y~/tmp $ cd ..
> > > /home/data1 $ No such directory found via CDPATH environment variable
> > 
> > I'm unable to reproduce the bug.
> 
> This is probably related to the symlinks Jean has there, or to some
> other local issue.

I think it is related also to CDPATH. Now when I remove CDPATH from
.bashrc, then it works.

If I have CDPATH, it does not work.

Other bug is similar to this one, but is related to M-x shell

In both cases, Emacs is not handling well the CDPATH variable.